<?php
/**
 * Side Box Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_manufacturer_info.php 0000 2008-02-05 kuroi $
 */
  $content = "";
  $content .= '<div id="' . str_replace('_', '-', $box_id . 'Content') . '" class="sideBoxContent">';
  
  // if there is a manufacturers image, display it
  if (zen_not_null($manufacturer_info_sidebox->fields['manufacturers_image'])) {
    $content .= zen_image(DIR_WS_IMAGES . $manufacturer_info_sidebox->fields['manufacturers_image'], $manufacturer_info_sidebox->fields['manufacturers_name']) . "\n";
  }

  $content .= '<ul>' . "\n" ;

  // if there is a URL for this manufacturer, construct and display a link
  if (zen_not_null($manufacturer_info_sidebox->fields['manufacturers_url'])) {
    $content .= '<li>';
	$content .= '<a href="' . zen_href_link(FILENAME_REDIRECT, 'action=manufacturer&manufacturers_id=' . $manufacturer_info_sidebox->fields['manufacturers_id']) . '" target="_blank">';
    $content .= sprintf(BOX_MANUFACTURER_INFO_HOMEPAGE, $manufacturer_info_sidebox->fields['manufacturers_name']);
    $content .=	'</a>';
    $content .= '</li>' . "\n";
  }
  
  // if on the product info page, construct and display a link to the manufacturers listing
  if (!isset($_GET['manufacturers_id'])) {
    $content .= '<li>';
	$content .= '<a href="' . zen_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $manufacturer_info_sidebox->fields['manufacturers_id']) . '">';
    $content .= BOX_MANUFACTURER_INFO_OTHER_PRODUCTS;
    $content .= '</a>';
	$content .= '</li>' . "\n";
  }
  
  $content .= '</ul>' . "\n" ;
  $content .= '</div>';
?>